import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// import UAParser from "@/assets/libs/ua-parser.min.js"
import clickOutside from "@/directives/v-click-outside.js"
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'
import VueLazyload from 'vue-lazyload'
import infiniteScroll from 'vue-infinite-scroll'

import Vant from 'vant';
import 'vant/lib/index.css';
Vue.use(Vant);
// 初始样式
import './assets/base.css'
import "@/assets/my-reset.css"

Vue.config.productionTip = false

console.log(`version: ${process.env.VUE_APP_VERSION}`)

// const uaParser = new UAParser()
// const uaInfo = uaParser.getResult()

Vue.use(clickOutside)
Vue.use(Viewer)
Vue.use(VueLazyload)
Vue.use(infiniteScroll)

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
